Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » Type » RingFamily » default
next | previous | forward | backward | up | index | toc

# default -- default member of a family

- Usage:
    `default T`
- Inputs:
  - T
- Outputs:
  - the default member of the family shadowed by T

## Description

    i1 : default RR

    o1 = RR
           53

    o1 : RealField

    i2 : defaultPrecision = 100

    o2 = 100

    i3 : default CC

    o3 = CC
           100

    o3 : ComplexField

This function is used internally, and its implementation may change.

### Menu

- defaultPrecision -- default precision of numbers

## Ways to use default:

- `default(InexactFieldFamily)`

## For the programmer

The object default is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_analytic_functions.m2:571:0.